Policy Export

GET /pcas/v3/policy/

With this API, you can export compliance policies in JSON format.

Input ParametersInput Parameters

Parameter

Required/Optional

Data Type

Description

policyId={value} Required Integer The ID of the policy you want to export.
policyTitle={value} Required String

The title of the policy you want to export.

When using the GET method with the parameter policyTitle, it is essential to encode the title appropriately for URL compatibility.

Users can enter either the policyId or the policyTitle. Providing both fields is not mandatory.

Sample - Export policy with policy IDSample - Export policy with policy ID

API Request

curl -X 'GET' 
\ '<qualys_base_url>/pcas/v3/policy?policyId=<PolicyID>' 
\ -H 'accept: application/json' 
\ -H 'Authorization: Bearer <Auth Token>'

XML Output

{
  "policyId": 5656121,
  "policyTitle": "Documentation_Policy",
  "exported": "20-06-2024 06:05:25",
  "coverPage": "CoverPage-PC-24431",
  "isActive": true,
  "isLocked": false,
  "technologies": [
    {
      "technologyId": 18,
      "technologyName": "Windows Vista"
    }
  ],
  "sections": [
    {
      "sectionNumber": 1,
      "sectionHeading": "Section-1",
      "controls": [
        {
          "controlId": 1072,
          "sectionNumber": 1,
          "controlNumber": 1,
          "statement": "Status of the 'Minimum Password Age' setting",
          "criticality": "CRITICAL",
          "isControlDisable": false,
          "referenceText": "Control 1072",
          "technologies": [
            {
              "technologyId": 18,
              "technologyName": "Windows Vista",
              "evaluate": {
                "dp": {
                  "k": "win.auth.passwords.minage",
                  "v": [
                    "1"
                  ],
                  "description": "The following Integer value <B>X</B> 
indicates the current status of the <B>'Minimum Password Age' (min_pass_age)</B>  within the <B>Computer Configuration\\Windows Settings\\Security Settings\\Account Policies\\Password Policy\\Minimum password age</B>setting for local accounts.",
                  "fv": [
                    {
                      "value": "161803399999999",
                      "set": "0",
                      "description": "Attribute not found"
                    }
               ],
             "op": "eq"
          }
      },
      "remediation": "To establish the recommended configuration 
via GP, set the following UI path to 1 or more day(s): Computer 
Configuration\\Policies\\Windows Settings\\Security Settings\\Account 
Policies\\Password Policy\\Minimum password age",
      "rational": "Among the characteristics that make 'user 
identification' via password a workable security solution is setting a 
'minimum password age.'  Without this minimum age requirement, any user(s) 
who wish to re-use the same password can merely cycle through a number of 
previously used passwords until returning to the preferred one (this is 
determined by the 'Password History' setting).  While no specific 'minimum 
password age' can guarantee password security, one (1) day is generally 
considered to be the shortest length of time permissible, along with 
requiring other password security factors, such as increasing the 
variability of the symbol set-space by requiring mixed-cases, special 
characters, further increases the difficulty of breaking any password 
using brute-force methods.  Consider implementing this control for all 
account passwords in conjunction with CID 1318 (Password History) and CID 
1071 (Minimum Password Length) and CID 1073 (Maximum Password Age)."
            }
          ]
        }
      ]
    }
  ]
 }

Sample - Export policy with policy titleSample - Export policy with policy title

API Request

curl -X 'GET' \ '<qualys_base_url>/pcas/v3/policy?policyTitle=<PolicyTitle>' 
\ -H 'accept: application/json' 
\ -H 'Authorization: Bearer<Auth Token>'

XML Output

{
  "policyId": 5656121,
  "policyTitle": "Documentation_Policy",
  "exported": "20-06-2024 06:07:13",
  "coverPage": "CoverPage-PC-24431",
  "isActive": true,
  "isLocked": false,
  "technologies": [
 {
   "technologyId": 18,
   "technologyName": "Windows Vista"
 }
  ],
  "sections": [
 {
   "sectionNumber": 1,
   "sectionHeading": "Section-1",
   "controls": [
     {
       "controlId": 1072,
       "sectionNumber": 1,
       "controlNumber": 1,
       "statement": "Status of the 'Minimum Password Age' setting",
       "criticality": "CRITICAL",
       "isControlDisable": false,
       "referenceText": "Control 1072",
       "technologies": [
 {
   "technologyId": 18,
   "technologyName": "Windows Vista",
   "evaluate": {
 "dp": {
  "k": "win.auth.passwords.minage",
  "v": [
    "1"
  ],
  "description": "The following Integer value <B>X</B> indicates the current status of the 
<B>'Minimum Password Age' (min_pass_age)</B>  within the <B>Computer Configuration\\Windows 
Settings\\Security Settings\\Account Policies\\Password Policy\\Minimum password age</B>setting for local accounts.",
  "fv": [
    {
      "value": "161803399999999",
      "set": "0",
      "description": "Attribute not found"
    }
  ],
  "op": "eq"
 }
      },
      "remediation": "To establish the recommended configuration via GP, set the following UI path to 1 or more day(s): Computer Configuration\\Policies\\Windows Settings\\Security Settings\\Account Policies\\Password Policy\\Minimum password age", "rational": "Among the characteristics that make 'user identification' via password a workable security solution is setting a 'minimum password age.'  Without this minimum age requirement, any user(s) who wish to re-use the same password can merely cycle through a number of previously used passwords until returning to the preferred one (this is determined by the 'Password History' setting).  While no specific 'minimum password age' can guarantee password security, one (1) day is generally 
considered to be the shortest length of time permissible, along with requiring other password security factors, such as increasing the variability of the symbol set-space by requiring mixed-cases, special characters, further increases the difficulty of breaking any password 
using brute-force methods.  Consider implementing this control for all account passwords in conjunction with CID 1318 (Password History) and CID 1071 (Minimum Password Length) and CID 1073 (Maximum Password Age)."
            }
          ]
        }
      ]
    }
  ]
 }


 

 

 

success Thank you! We're glad to hear that this topic was useful.
success We appreciate your feedback. We'll work to make this topic better for you in the future.